#!/bin/bash
echo Downloading latest from svn repository...
set -e

wget https://vdr-graphtft.svn.sourceforge.net/svnroot/vdr-graphtft/graphtft.h -O ../graphtft.h
DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
#VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/' | cut -d':' -f2`
VERSION_DATE=`/bin/date +%0Y%0m%0d.%0k%0M`
VERSION_ID=`grep '* VERSION' ../graphtft.h | cut -d "\"" -f 2`
VERSION_FULL="${VERSION_ID}+svn${VERSION_DATE}"

svn export -q https://vdr-graphtft.svn.sourceforge.net/svnroot/vdr-graphtft ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}

sudo rm -rf .pc
tar cvfz "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
rm -rf ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}/debian
mv -f debian ${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
mv -f ${DEB_SOURCE_PACKAGE}-${VERSION_FULL} .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
rm -rf *
mv -f .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}/* .
rm -rf .${DEB_SOURCE_PACKAGE}-${VERSION_FULL}
dch -m -b -v "${VERSION_FULL}-1+opp~1" "Build for OPP-VDR"
dch -m -a "New upstream release"
rm -rf ../graphtft.h
